Create Goal
Creates a desired Business outcome with a measurable title and optional owner and due date. Returns an action receipt.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Header Parameters
SMB-Workspace-Id*string
Workspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidIdempotency-Key*string
Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/goals" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{ "business_id": "string", "expected_business_revision": 1, "title": "string" }'{ "data": { "goal_id": "string", "business_id": "string", "title": "string", "description": "string", "status": "active", "accountable_user_id": "string", "due_at": "2019-08-24T14:15:22Z", "terminal_reason": "string", "completed_at": "2019-08-24T14:15:22Z", "canceled_at": "2019-08-24T14:15:22Z", "created_by": { "type": "user", "id": "string" }, "revision": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "receipt": { "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7", "command_id": "7d510d78-7444-4252-aeac-9e473949661e", "operation": "string", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "idempotent_replay": true, "request_id": "string"}